#include <iostream>

using namespace std;

int main()
{
    string t,s;
    cin>>t;
    cin>>s;
    int brs[s.size()],k = 0,n = s.size(), tn = t.size(),indeks = 0;
    for(int i = 0; i<n; i++){
        brs[i] = 0;
    }
    for(int i = 0; i<tn;i++){
        if(k!= n){
            if(t.at(i) == s.at(k)){
                k++;
            }
        }
        for(int j = 0; j<n; j++){
            if(t.at(i) == s.at(j)){
                brs[j] ++;
            }
        }
    }
    int mins = brs[0];
    for(int i = 0; i<n; i++){
        if(mins>brs[i]){
            mins = brs[i];
            indeks = i;
        }
    }
    char c = s.at(indeks);
    if(n==k){
        for(int i = 0; i<tn;i++){
            if(t.at(i) == c){
                t[i] = '*';
            }
        }
        cout<<mins<<endl<<t<<endl;
    }
    return 0;
}